Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.bc
Class ObjectData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.bc.ObjectData

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class ObjectData
extends ASN1Object

ObjectData ::= SEQUENCE { type INTEGER, identifier UTF8String, creationDate GeneralizedTime, lastModifiedDate GeneralizedTime, data OCTET STRING, comment UTF8String OPTIONAL }

Constructor Summary
`ObjectData(java.math.BigInteger type, java.lang.String identifier, java.util.Date creationDate, java.util.Date lastModifiedDate, byte[] data, java.lang.String comment)`

Method Summary
`java.lang.String` | `getComment()`
`ASN1GeneralizedTime` | `getCreationDate()`
`byte[]` | `getData()`
`java.lang.String` | `getIdentifier()`
`static ObjectData` | `getInstance(java.lang.Object obj)`
`ASN1GeneralizedTime` | `getLastModifiedDate()`
`java.math.BigInteger` | `getType()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectData

    public ObjectData(java.math.BigInteger type,
                      java.lang.String identifier,
                      java.util.Date creationDate,
                      java.util.Date lastModifiedDate,
                      byte[] data,
                      java.lang.String comment)

Method Detail

### getInstance

    public static ObjectData getInstance(java.lang.Object obj)

### getComment

    public java.lang.String getComment()

### getCreationDate

    public ASN1GeneralizedTime getCreationDate()

### getData

    public byte[] getData()

### getIdentifier

    public java.lang.String getIdentifier()

### getLastModifiedDate

    public ASN1GeneralizedTime getLastModifiedDate()

### getType

    public java.math.BigInteger getType()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD